////////////////////////// UTILITIES CLASS ////////////////////////

// Miscellaneous utility functions

package xal {

///////////////////////// CLASS DEFINITION ///////////////////////

public class Utilities {

// Return true if all elements passed to function are in sourceArray;
// Can pass multiple elements to the function as multiple parameters,
// and each parameter can be either a string, number, or array
public function isInArray(sourceArray:Array, elements):Boolean {
	var found:Boolean;
	var elementsArray:Array = new Array();
	var i;
	var j;
	// Add each element's argument to elementsArray, which will be checked against sourceArray
	for (i = 1; i < arguments.length; i ++) {
		if (typeof(arguments[i]) == "string" || typeof(arguments[i]) == "number") {
			elementsArray.push(arguments[i]);
		} else if (typeof(arguments[i]) == "object") {
			elementsArray = elementsArray.concat(arguments[i]);
		} else {
			trace("invalid type passed to Utilities.isInArray");
		}
	}
	// Check each element of array
	for (i = 0; i < elementsArray.length; i ++) {
		found = false;
		// Check each element in sourceArray
		for (j = 0; j < sourceArray.length; j ++) {
			if (elementsArray[i] == sourceArray[j]) {
				found = true;
			}
		}
		// If an element is not found in sourceArray
		if (found == false) {
			return false;			
		}
	}
	return found;
}

// For testing
// Return text list of contents of object
public function printObject(object) {
	// New line characters
	var NL = "\r\n";
	var name:String;
	var str:String = NL;
	for (name in object) {
		str += name + ": " + object[name] + NL;
	}
	return str;
}


}

}